Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

c

scala.tools.scalap.scalax.rules.scalasig

# ScalaSigSymbol 

###

#### abstract class ScalaSigSymbol extends Symbol

Source
  Symbol.scala

Linear Supertypes
Symbol, Flags, AnyRef, Any
Known Subclasses
AliasSymbol, ClassSymbol, ExternalSymbol, MethodSymbol, ObjectSymbol, SymbolInfoSymbol, TypeSymbol
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaSigSymbol
2. Symbol
3. Flags
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ScalaSigSymbol()

### Abstract Value Members

1.  abstract def entry: Entry
2.  abstract def hasFlag(flag: Long): Boolean
   Definition Classes
     Flags
3.  abstract def name: String
   Definition Classes
     Symbol
4.  abstract def parent: Option[Symbol]
   Definition Classes
     Symbol

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScalaSigSymbol to any2stringadd[ScalaSigSymbol] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScalaSigSymbol, B)
   Implicit
     This member is added by an implicit conversion from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def applyRule[A](rule: EntryParser[A]): A
7.  def applyScalaSigRule[A](rule: Parser[A]): A
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  lazy val attributes: Seq[AttributeInfo]
10.  lazy val children: Seq[Symbol]
    Definition Classes
      ScalaSigSymbol → Symbol
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def ensuring(cond: (ScalaSigSymbol) ⇒ Boolean, msg: ⇒ Any): ScalaSigSymbol
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (ScalaSigSymbol) ⇒ Boolean): ScalaSigSymbol
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): ScalaSigSymbol
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): ScalaSigSymbol
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to StringFormat[ScalaSigSymbol] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  def index: Int
23.  def isAbstract: Boolean
    Definition Classes
      Flags
24.  def isAbstractOverride: Boolean
    Definition Classes
      Flags
25.  def isAccessor: Boolean
    Definition Classes
      Flags
26.  def isBridge: Boolean
    Definition Classes
      Flags
27.  def isByNameParam: Boolean
    Definition Classes
      Flags
28.  def isCaptured: Boolean
    Definition Classes
      Flags
29.  def isCase: Boolean
    Definition Classes
      Flags
30.  def isCaseAccessor: Boolean
    Definition Classes
      Flags
31.  def isContravariant: Boolean
    Definition Classes
      Flags
32.  def isCovariant: Boolean
    Definition Classes
      Flags
33.  def isDeferred: Boolean
    Definition Classes
      Flags
34.  def isDeprecated: Boolean
    Definition Classes
      Flags
35.  def isError: Boolean
    Definition Classes
      Flags
36.  def isExistential: Boolean
    Definition Classes
      Flags
37.  def isExpandedName: Boolean
    Definition Classes
      Flags
38.  def isFinal: Boolean
    Definition Classes
      Flags
39.  def isImplementationClass: Boolean
    Definition Classes
      Flags
40.  def isImplicit: Boolean
    Definition Classes
      Flags
41.  def isInConstructor: Boolean
    Definition Classes
      Flags
42.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
43.  def isInterface: Boolean
    Definition Classes
      Flags
44.  def isJava: Boolean
    Definition Classes
      Flags
45.  def isLabel: Boolean
    Definition Classes
      Flags
46.  def isLazy: Boolean
    Definition Classes
      Flags
47.  def isLifted: Boolean
    Definition Classes
      Flags
48.  def isLocal: Boolean
    Definition Classes
      Flags
49.  def isMethod: Boolean
    Definition Classes
      Flags
50.  def isMixedIn: Boolean
    Definition Classes
      Flags
51.  def isModule: Boolean
    Definition Classes
      Flags
52.  def isModuleVar: Boolean
    Definition Classes
      Flags
53.  def isMonomorphic: Boolean
    Definition Classes
      Flags
54.  def isMutable: Boolean
    Definition Classes
      Flags
55.  def isOverloaded: Boolean
    Definition Classes
      Flags
56.  def isOverride: Boolean
    Definition Classes
      Flags
57.  def isPackage: Boolean
    Definition Classes
      Flags
58.  def isParam: Boolean
    Definition Classes
      Flags
59.  def isParamAccessor: Boolean
    Definition Classes
      Flags
60.  def isPreSuper: Boolean
    Definition Classes
      Flags
61.  def isPrivate: Boolean
    Definition Classes
      Flags
62.  def isProtected: Boolean
    Definition Classes
      Flags
63.  def isSealed: Boolean
    Definition Classes
      Flags
64.  def isStable: Boolean
    Definition Classes
      Flags
65.  def isStatic: Boolean
    Definition Classes
      Flags
66.  def isSuperAccessor: Boolean
    Definition Classes
      Flags
67.  def isSynthetic: Boolean
    Definition Classes
      Flags
68.  def isTrait: Boolean
    Definition Classes
      Flags
69.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
70.  final def notify(): Unit
    Definition Classes
      AnyRef
71.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
72.  def path: String
    Definition Classes
      Symbol
73.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
74.  def toString(): String
    Definition Classes
      AnyRef → Any
75.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
76.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
77.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
78.  def →[B](y: B): (ScalaSigSymbol, B)
    Implicit
      This member is added by an implicit conversion from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Symbol

### Inherited from Flags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaSigSymbol to any2stringadd[ScalaSigSymbol]

### Inherited by implicit conversion StringFormat from ScalaSigSymbol to StringFormat[ScalaSigSymbol]

### Inherited by implicit conversion Ensuring from ScalaSigSymbol to Ensuring[ScalaSigSymbol]

### Inherited by implicit conversion ArrowAssoc from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol]

### Ungrouped